source: trunk/dports/gis/mapserver/files/patch-configure.diff @ 112821

Last change on this file since 112821 was 110127, checked in by ryandesign@…, 7 years ago

mapserver: fix gd version check (#40253) and revbump for gd2 @2.1.0

File size: 599 bytes
  • configure

    gd version checking code is wrong
    https://github.com/mapserver/mapserver/issues/4696
    old new  
    1713417107      fi
    1713517108
    1713617109
    17137 
    17138       if test $GDMAJOR -lt 2 -o $GDMINOR -lt 0 -o $GDREV -lt 28 ; then
     17110      GDVERSION_NUM=`expr $GDMAJOR \* 1000000 \+ $GDMINOR \* 1000 \+ $GDREV`
     17111      GDVERSION_REQ=`expr 2 \* 1000000 \+ 0 \* 1000 \+ 28`
     17112      if test $GDVERSION_NUM -lt $GDVERSION_REQ ; then
    1713917113         as_fn_error $? "GD version $GDVERSION too old. need at least 2.0.28" "$LINENO" 5
    1714017114      fi
    1714117115
Note: See TracBrowser for help on using the repository browser.